Subject: bug#36069: Menu-based installer unusable through noVNC

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Sep 2019 10:00:53 +0200

Hello Björn,

Björn Höfling <[email-masked]> skribis:

> On Mon, 22 Jul 2019 12:25:12 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> Hello!
>> 
>> Björn Höfling <[email-masked]> skribis:
>
>> > What I haven't done yet:
>> >
>> > 1. Use only "cirrus"
>> > 2. Use only "cirrusfb"
>> > 3. Try it out on my VPS.  
>> 
>> Please let us know when you have feedback on these so we can add just
>> the module that makes sense.
>
>
> I tried all three combinations and all work with qemu:
>
> 1. (initrd-modules (append (list "cirrus" "cirrusfb")
> 2. (initrd-modules (append (list "cirrusfb")
> 3. (initrd-modules (append (list "cirrus")
>
> I tried the version with "cirrus" on my VPS and it worked there too.

Cool, thanks for testing.

One easy thing we can do is to arrange so that ‘guix system vm{,-image}’
always include this module in the initrd.  I believe that would address
your use case, right?

Patch below.

Thanks,
Ludo’.

diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index ac6e4ded92..73d9b2c0c1 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -850,6 +850,11 @@ environment with the store shared with the host.  MAPPINGS is a list of
                      #:volatile-root? #t
                      rest)))
 
+    ;; VPS sometimes expect the "cirrus" graphics driver to be available when
+    ;; the VM is accessed with noVNC; see <https://bugs.gnu.org/36069>.
+    (initrd-modules (cons "cirrus"
+                          (operating-system-initrd-modules os)))
+
     ;; Disable swap.
     (swap-devices '())